Skip to main content
`Ctrl`+`K`

# PetscFEGetTileSizes

Returns the tile sizes for evaluation

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetTileSizes(PetscFE fem, PeOp PetscInt *blockSize, PeOp PetscInt *numBlocks, PeOp PetscInt *batchSize, PeOp PetscInt *numBatches)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameters

- blockSize - The number of elements in a block, pass `NULL` if not needed

- numBlocks - The number of blocks in a batch, pass `NULL` if not needed

- batchSize - The number of elements in a batch, pass `NULL` if not needed

- numBatches - The number of batches in a chunk, pass `NULL` if not needed

## See Also

`PetscFE`, `PetscFECreate()`, `PetscFESetTileSizes()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages